
/**********************************************************************************/
// Persistence of Vision Ray Tracer Scene Description File
// File name   : Makerock.pov
// Version     : 3.5
// Image size  : 
// Description : Makes rock meshes. Uses Makerock.inc and rock.inc by John van Sickle
// Date        : February 2004
// Author      : Thomas de Groot
// E-mail      : t.degroot@inter.nl.net
/**********************************************************************************/
default {
  texture {
    pigment { rgb <1,0,0> }
  }
}


//=== Declarations common to Makerock.inc (John Van Sickle, modified by Bob Hughes) ===
//=== and rock.inc (John Van Sickle, version courtesy Ken Tyler)                    ===
#declare Smooth = false;
#declare Seed = 8;
#declare Splits = 2;
#declare Size = 2;
#declare Rough = 0.5;
#declare Omega = 0.5;

#declare FileName = "JVSrock001.inc"; //This is specific for Makerock.inc
#declare RockName = "JVSrocktest";    //This is specific for Makerock.inc
#declare Rounding = true;             //This is specific for rock.inc

//===================================== variation on rock.inc =============================================
//#include "C:\VirtualReality\Data files\POV-Ray files\Specific Includes\John Van Sickle\Makerock.inc"
//#include "C:\VirtualReality\Data files\POV-Ray files\Specific Includes\John Van Sickle\JVSrock001.inc"
#include "Makerock.inc"
#include "JVSrock001.inc"
object {JVSrocktest texture {pigment { rgb <1,0,0> }} translate 2*x}

//===================================== original rock.inc =================================================
//#include "C:\VirtualReality\Data files\POV-Ray files\Specific Includes\John Van Sickle\rock.inc"
#include "rock.inc"
object {RockTest texture {pigment { rgb <0,1,0> }} translate -2*x}


camera {
  location  <0.0, 0.5, -10.0>
  direction 1.5*z
  right     x*image_width/image_height
  look_at   <0.0, 0.5,  0.0>
}

sky_sphere {
  pigment {
    gradient y
    color_map {
      [0.0 rgb <0.6,0.7,1.0>]
      [0.7 rgb <0.0,0.1,0.8>]
    }
  }
}

// create a point "spotlight" (conical directed) light source
light_source {
  0*x                       // light's position (translated below)
  color rgb <1,1,0.5>       // light's color
  spotlight                 // this kind of light source
  translate <-30, 80, -40>  // <x y z> position of light
  point_at <0, 0, 0>        // direction of spotlight
  radius 50                 // hotspot (inner, in degrees)
  tightness 5               // tightness of falloff (1...100) lower is softer, higher is tighter
  falloff 80                // intensity falloff radius (outer, in degrees)
}


